org.apache.sling.hc.util

## Class HealthCheckMetadata

- java.lang.Object
- - org.apache.sling.hc.util.HealthCheckMetadata

Deprecated.

    @Deprecated
     @ProviderType
    public class HealthCheckMetadata
    extends Object

This class helps retrieving meta data information about a health check service.

Since:
  1.1

### Constructor Summary

Constructors
Constructor and Description
`HealthCheckMetadata(org.osgi.framework.ServiceReference ref)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `equals(Object obj)` Deprecated.
`String` `getAsyncCronExpression()` Deprecated. Return the cron expression used for asynchronous execution.
`String` `getMBeanName()` Deprecated. The mbean name of the health check as defined through the `HealthCheck.MBEAN_NAME` property.
`String` `getName()` Deprecated. The name of the health check as defined through the `HealthCheck.NAME` property.
`Long` `getResultCacheTtlInMs()` Deprecated. TTL for the result cache in ms.
`long` `getServiceId()` Deprecated. Return the service id.
`org.osgi.framework.ServiceReference` `getServiceReference()` Deprecated. Get the service reference.
`List<String>` `getTags()` Deprecated. Return the list of defined tags for this check as set through `tags`
`String` `getTitle()` Deprecated. The title of the health check.
`Long` `getWarningsStickForMinutes()` Deprecated. Make warnings stick for the given amount of time.
`int` `hashCode()` Deprecated.
`String` `toString()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HealthCheckMetadata

    public HealthCheckMetadata(org.osgi.framework.ServiceReference ref)

Deprecated.

### Method Detail

#### getName

    public String getName()

Deprecated.
The name of the health check as defined through the `HealthCheck.NAME` property.

Returns:
  The name or `null`

#### getMBeanName

    public String getMBeanName()

Deprecated.
The mbean name of the health check as defined through the `HealthCheck.MBEAN_NAME` property.

Returns:
  The mbean name or `null`

#### getTitle

    public String getTitle()

Deprecated.
The title of the health check. If the health check has a name, this is used as the title. Otherwise the description, PID and service ID are checked for values.

#### getTags

    public List<String> getTags()

Deprecated.
Return the list of defined tags for this check as set through `tags`

Returns:

#### getAsyncCronExpression

    public String getAsyncCronExpression()

Deprecated.
Return the cron expression used for asynchronous execution.

#### getServiceId

    public long getServiceId()

Deprecated.
Return the service id.

#### getServiceReference

    public org.osgi.framework.ServiceReference getServiceReference()

Deprecated.
Get the service reference.

#### getResultCacheTtlInMs

    public Long getResultCacheTtlInMs()

Deprecated.
TTL for the result cache in ms.

Returns:
  TTL for the result cache or `null` if not configured.

#### getWarningsStickForMinutes

    public Long getWarningsStickForMinutes()

Deprecated.
Make warnings stick for the given amount of time.

Returns:
  Time to make warn results sticky in minutes.

#### hashCode

    public int hashCode()

Deprecated.

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Deprecated.

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`